<?php
namespace Claromentis\Gallery\Controller;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_cd644f263509b3f84690c7c5d4bcdf1" . "8" => base64_decode("Z2FsbGVyeS9pb" . "mNsdWRlcy9pbW" . "FnZV9tZXRhZGF" . "0YS5odG1s"), "_66e78cb3ecbe" . "9e2ac0ef58fa3" . "6e762bb" => base64_decode("bGlrZXNfY29tcG9uZW50Lm9iamVjdF9pZA" . "=="), "_3c438e5e63445b53f7de5191373" . "0eeab" => base64_decode("bnVsbA=" . "="), "i" . "m" . "a" . "g" . "e" => base64_decode("aW1h" . "Z2U="), "_32283335ab" . "ba069bb099a" . "4714598c28b" => base64_decode("Z2FsbGVyeS9pbmNsdWRlcy" . "9pbWFnZV9jb21tZW50cy5o" . "dG1s"), "_75d423257ba4" . "48155cc97033e" . "61f426f" => base64_decode("Z2FsbGVyeS9pbmNsdWRlcy9pbWF" . "nZV9saWtlcy5odG1s"), "_0c5123aa744f69bbc0e8b3ea2f6e847" . "d" => base64_decode("bG1zZw" . "=="), "_0bc7588938bfc7dc40d" . "438d105dcdf1c" => base64_decode("YWxidW0" . "="), "_80005003" . "34026c617" . "596255d39" . "14c33d" => base64_decode("WW91IGRvbid0IGhhdmUgcGVyb" . "Wlzc2lvbiB0byB2aWV3IHRoaX" . "MgaW1hZ2U="), "_1c8a00652c6c89e9e0a7d896cb82a2" . "bd" => base64_decode("Y29tbWVudHNfY29tcG9uZW50Lm9ia" . "mVjdF9pZA=="), "_4be135064c4d55c13" . "e6af60c45cb1fda" => base64_decode("Z2FsbGVyeS5wZXJ" . "taXNzaW9ucw=="), "_e05e0022a2e5ad344b9c4a0d3" . "f64e1a5" => base64_decode("bWVz" . "c2Fn" . "ZQ=="), "_4b5e91a0a6f7f822a" . "c389ad9a3fb0ee2" => base64_decode("c3VjY2V" . "zcw=="), "_5452ca1b1" . "8704a7b6c2" . "d7e7a53e4a" . "e47" => base64_decode("Z2FsbGVyeS5ub19pbW" . "FnZV9pZA=="));
use Claromentis\Gallery\GalleryPermissions;
use Claromentis\Core\Application;
use Claromentis\Core\Http\gpc;
use Claromentis\Core\Http\JsonPrettyResponse;
use Claromentis\Core\Http\TemplaterCallResponse;
use Exception;
use Image;
use ImageAlbum;
use ImageLightbox;
use InvalidArgumentException;
use Claromentis\Core\Http\SymfonyRequest;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpFoundation\JsonResponse;
use TokenException;
class ImageDetailsController
{
    
    
    
    
    
    
    
    
    
    
    
    
    public function ValidateImage(SymfonyRequest $request)
    {
        global $g_application;
        $_84e255a4ec669726bc592e3153ce97c1 = $g_application[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_4be135064c4d55c13e6af60c" . "45cb1fda"]];
        if (!$request->attributes->has($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["imag" . "e"]) || !$request->attributes->get($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["ima" . "ge"])) {
            throw new InvalidArgumentException($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_0c5123aa744f69bbc0e8b3ea2" . "f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_5452ca1b18704a7b6c2d" . "7e7a53e4ae47"]));
        }
        $_0813911845a745577176d995fee240ad = $request->attributes->get($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["imag" . "e"]);
        $image = new Image();
        $image->Load($_0813911845a745577176d995fee240ad);
        if (!$image->GetId() || !$image->GetAlbumId()) {
            throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123a" . "a744f69b" . "bc0e8b3e" . "a2f6e847" . "d"]($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_5452ca1b18704a7b6c2d7e7a53e4" . "ae47"]));
        }
        $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($image->GetAlbumID());
        if (!$_0bc7588938bfc7dc40d438d105dcdf1c->UserHasPermission(PERM_VIEW) && !$_84e255a4ec669726bc592e3153ce97c1->CanIManageAlbums()) {
            throw new Exception($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_800050033402" . "6c617596255d3" . "914c33d"]);
        }
        $request->attributes->set($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["imag" . "e"], $image);
        $request->attributes->set($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_0bc7588938bfc7dc4" . "0d438d105dcdf1c"], $_0bc7588938bfc7dc40d438d105dcdf1c);
        return null;
    }
    
    
    
    
    
    
    
    
    public function GetComments(Application $app, $image)
    {
        $args = [$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_1c8a00652c6c89e9" . "e0a7d896cb82a2bd"] => $image->GetId()];
        return new TemplaterCallResponse($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_32283335abba069bb099a4" . "714598c28b"], $args);
    }
    
    
    
    
    
    
    
    
    
    
    public function GetMetadata(Application $app, Image $image)
    {
        
        
        global $args, $datasources;
        
        
        
        
        $_25941f62b00d37649aecb69932bb2fba = [0 => $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_3c438e5e63445b53f7de5" . "1913730eeab"]];
        $_e0f99d1e2fd6c8ce39dd84c5242ed7ed = [];
        $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($image->GetAlbumId());
        $_95aa76f19a87d9905f9a740fac0bde2e = $image->GetImageTags();
        $_0bc7588938bfc7dc40d438d105dcdf1c->PrepareTagOptions($_e0f99d1e2fd6c8ce39dd84c5242ed7ed, $_25941f62b00d37649aecb69932bb2fba);
        $_0bc7588938bfc7dc40d438d105dcdf1c->GetTagsAsHTML($args, $datasources, $_95aa76f19a87d9905f9a740fac0bde2e, $_e0f99d1e2fd6c8ce39dd84c5242ed7ed);
        $image->ShowMetadataFields($_25941f62b00d37649aecb69932bb2fba, false);
        $_fd5a3a643834299cbdadfc3540ba0bcb = new TemplaterCallResponse($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_cd644f263509b3f84690" . "c7c5d4bcdf18"], $args);
        $_fd5a3a643834299cbdadfc3540ba0bcb->SetDatasrc($datasources);
        return $_fd5a3a643834299cbdadfc3540ba0bcb;
    }
    
    
    
    
    
    
    
    
    public function GetLikes(Application $app, $image)
    {
        $args = [$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_66e78cb3ecbe" . "9e2ac0ef58fa3" . "6e762bb"] => $image->GetId()];
        return new TemplaterCallResponse($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_75d423257ba448155cc9" . "7033e61f426f"], $args);
    }
    
    
    
    
    
    
    
    
    
    
    public function Favorite(Application $app, ServerRequestInterface $request, $image)
    {
        gpc::CheckToken($request);
        $_b30480f39eddbe8df8bb6d564d5eb7b9 = new ImageLightbox($app->security->GetUserId());
        if (!$_b30480f39eddbe8df8bb6d564d5eb7b9->AddToLightbox([$image->GetId()])) {
            return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_4b5e91a0a6f7f822ac389ad9a3fb0e" . "e2"] => false, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_e05e0022a2e5ad" . "344b9c4a0d3f64e" . "1a5"] => $_b30480f39eddbe8df8bb6d564d5eb7b9->GetErrMsg()], 500);
        }
        return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_4b5e91a0a6f7f822ac" . "389ad9a3fb0ee2"] => true]);
    }
    
    
    
    
    
    
    
    
    
    
    public function Unfavorite(Application $app, ServerRequestInterface $request, $image)
    {
        gpc::CheckToken($request);
        $_b30480f39eddbe8df8bb6d564d5eb7b9 = new ImageLightbox($app->security->GetUserId());
        if (!$_b30480f39eddbe8df8bb6d564d5eb7b9->DeleteFromLightbox([$image->GetId()])) {
            return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4b5e91a0" . "a6f7f822a" . "c389ad9a3" . "fb0ee2"] => false, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_e05e0022a2e5ad3" . "44b9c4a0d3f64e1a" . "5"] => $_b30480f39eddbe8df8bb6d564d5eb7b9->GetErrMsg()], 500);
        }
        return new JsonPrettyResponse([$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_4b5e91a0a6f7f822ac389ad9a3fb0ee" . "2"] => true]);
    }
}